#
# spec file for package phantomjs
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           phantomjs
Version:        2.1.1+git20160526.6090f54
Release:        1.10
Summary:        Scriptable Headless WebKit
License:        BSD-3-Clause
Group:          Development/Languages/NodeJS
Url:            http://phantomjs.org
Source:         %{name}-%{version}.tar.xz
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  fontconfig-devel
BuildRequires:  freetype2-devel
BuildRequires:  gcc-c++
BuildRequires:  gperf
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  libicu-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libopenssl-devel
BuildRequires:  libpng16-devel
BuildRequires:  perl
BuildRequires:  python
BuildRequires:  python-xml
BuildRequires:  ruby
BuildRequires:  sqlite3-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
PhantomJS is a headless WebKit scriptable with a JavaScript API. It has fast and native support for various web standards: DOM handling, CSS selector, JSON, Canvas, and SVG.

%prep
%setup -q

%build
# github issue #13930
touch src/qt/qtbase/.git
touch src/qt/qtwebkit/.git
touch src/qt/3rdparty/.git
python build.py --confirm --release

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/%{name}/examples
cp bin/%{name} %{buildroot}%{_bindir}/%{name}
cp examples/* %{buildroot}%{_datadir}/%{name}/examples/

%files
%defattr(-,root,root)
%doc ChangeLog CONTRIBUTING.md LICENSE.BSD README.md
%{_bindir}/%{name}
%{_datadir}/%{name}

%changelog
* Fri Jul  1 2016 toddrme2178@gmail.com
- Fix typo in Group tag.
* Sun May 29 2016 ro@suse.de
- update to version 2.1.1+git20160526.6090f54
* Sun May 29 2016 i@marguerite.su
- Update to version 2.1.1+git20160526.6090f54:
  * Disable QPA platform guard
  * Handle QtInfoMsg
  * Fix building with MSVC2015
  * Update QtWebkit module
  * Fixed typo
  * Upgrade example to run with Jasmine 2.4.1
  * Fix 'qt_config' problem.
  * Update request error message.
  * Update build.py to disable qtbase/qtwebkit unwanted features
  * [OS X] Allow building with custom OpenSSL library
* Mon Feb  1 2016 i@marguerite.su
- update version 2.1.1+git20160125.482b91d
* Thu Dec 25 2014 boris@steki.net
- update to latest release 1.9.8
  + Change default SSL protocol to TLSv1 to address POODLE (issue 12655)
  + Fixed building on OS X 10.10 Yosemite (issue 12622)
  + Backported crash fix when exit (issue 11642, 12431)
* Wed Aug  6 2014 toddrme2178@gmail.com
- Update source to point to website
- Minor spec file cleanups
- Update to 1.9.7
  * Reverted to GhostDriver 1.1.0 instead of 1.1.1 (issue 11915)
  * Fixed another warning of obsolete userSpaceScaleFactor on OS X 10.9 (issue 11612)
- Update to 1.9.6
  * Updated GhostDriver to version 1.1.1 (issue 11877, 11893)
- Update to 1.9.3
  * Fixed CoreText performance note on OS X 10.9 (issue 11418)
  * Fixed warning of obsolete userSpaceScaleFactor on OS X 10.9 (issue 11612)
- Update to 1.9.2
  * Fixed graphical artifacts with transparent background on Windows (issue 11276, 11007, 11366)
  * Updated GhostDriver to version 1.0.4 (issue 11452)
* Fri Jul 26 2013 boris@steki.net
- updated to version 1.9.1
* Tue Apr 30 2013 heydenberk@gmail.com
- add missing filenames for examples to files section
* Wed Apr 24 2013 lobbin@gmail.com
- updated to version 1.9
* Thu Jan 24 2013 mbarr@snap-interactive.com
- updated to version 1.8
* Thu Nov 15 2012 jschauma@etsy.com
- first rpm version
